## org.jfree.report.data
Class ParameterDataRow

    java.lang.Object
      org.jfree.report.data.StaticDataRow
          org.jfree.report.data.ParameterDataRow

All Implemented Interfaces:
  DataRow, DataSet

    public class ParameterDataRow

extends StaticDataRow

This is the first datarow in each report. It holds the values of all declared input parameters. This datarow does not advance and does not keep track of any changes, as parameters are considered read-only once the reporting has started.

Author:
  Thomas Morgner

Constructor Summary
`ParameterDataRow(ParameterMapping[] parameters, DataRow dataRow)`
`ParameterDataRow(ReportParameters parameters)`

Method Summary

Methods inherited from class org.jfree.report.data.StaticDataRow
`get, get, getColumnCount, getColumnName, getFlags, getFlags, setData, updateData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterDataRow

    public ParameterDataRow(ReportParameters parameters)

### ParameterDataRow

    public ParameterDataRow(ParameterMapping[] parameters,
                            DataRow dataRow)
                     throws DataSourceException

Throws:
  `DataSourceException`